Bug 773537 - [ja_JP] [RHSM CLI] Import module - --help message some strings displayed as question mark.
[ja_JP] [RHSM CLI] Import module - --help message some strings displayed as q...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.8
Unspecified Linux
unspecified Severity high
: rc
: 5.9
Assigned To: William Poteat
IDM QE LIST
: i18n, Translation
Depends On:
Blocks: 771748 820037
  Show dependency treegraph
 
Reported: 2012-01-12 02:49 EST by Lijun Li
Modified: 2012-12-10 16:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820037 (view as bug list)
Environment:
Last Closed: 2012-12-10 16:42:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strings displayed as question mark (40.65 KB, application/octet-stream)
2012-01-12 02:52 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-01-12 02:49:32 EST
Description of problem:
Import module - --help message some strings displayed as question mark.

Version-Release number of selected component (if applicable):
subscription-manager-0.98.10-1.el5


How reproducible:
100%

Steps to Reproduce:
1. Install rhel5.8 snapshot-3 OS build via
http://download.englab.nay.redhat.com/pub/rhel/rel-eng/RHEL5.8-Server-20120105.0/5/i386/os/

2. (Display help)

$ sudo subscription-manager import --help

  
Actual results:
Import module - --help message some strings displayed as question mark.


Expected results:
All the strings should be displayed correctly.


Additional info:
Comment 1 Lijun Li 2012-01-12 02:52:37 EST
Created attachment 552331 [details]
Strings displayed as question mark
Comment 2 William Poteat 2012-06-18 15:33:43 EDT
Issue does not occur for python-rhsm build 1.0.2-1.
Comment 3 Shwetha Kallesh 2012-06-20 10:45:09 EDT
Verified!!

RPM used:
[root@dhcp201-196 ~]# rpm -qa | grep subscription-manager
subscription-manager-firstboot-1.0.4-1.git.0.5943ee7.el5
subscription-manager-1.0.4-1.git.0.5943ee7.el5
subscription-manager-migration-data-1.11.1.1-1.git.2.c7fbafe.el5
subscription-manager-gui-1.0.4-1.git.0.5943ee7.el5
subscription-manager-migration-1.0.4-1.git.0.5943ee7.el5


[root@dhcp201-196 ~]# LANG=ja_JP.UTF-8 subscription-manager import --help
使用法: subscription-manager import [OPTIONS]

ツール外で用意された証明書をインポート

options:
  -h, --help            このヘルプメッセージを表示して終了
  --certificate=CERTIFICATE_FILE
                        インポートする証明書ファイル
                        (複数のインポートには、このオプションを複数指定します)。
Comment 4 Bryan Kearney 2012-12-10 16:42:20 EST
Bug Clean Up, these are in the current release.

Note You need to log in before you can comment on or make changes to this bug.